<div class="comment" *ngIf="showComment">
  <div class="profile">
    <div class="img-box">
      <div class="img">
        <img
          [src]="
            data.userProfileImage
              ? imageUrl + data.userProfileImage
              : imageUrl + defaultImage
          "
          alt=""
        />
      </div>
      <div class="name">
        <p>{{ data.userFullName }}</p>
      </div>
    </div>
    <div class="delete" *ngIf="activeDelete">
      <div (click)="deleteComment()">
        <fa-icon [icon]="faTrash"></fa-icon>
      </div>
    </div>
  </div>
  <div class="desc">
    <p>{{ data.text }}</p>
  </div>
  <div class="reply-btn" (click)="showReplies()">
    <div class="show-reply" [attr.data-silde-type]="data.id">
      پاسخ دادن
      <fa-icon [icon]="faReply"></fa-icon>
    </div>
  </div>
  <div class="reply-box" [id]="data.id">
    <div>
      <div class="form">
        <form action="" [formGroup]="replyForm">
          <textarea
            cols="30"
            formControlName="text"
            placeholder="پاسخ ..."
            rows="10"
          ></textarea>
        </form>
        <a (click)="sendReply()">
          ارسال پاسخ<fa-icon [icon]="faArrowLeft"></fa-icon>
        </a>
      </div>
      <div class="r-box">
        <div class="reply" *ngFor="let reply of replies">
          <app-reply
            [data]="reply"
            [postId]="postId"
            [parentId]="data.id"
            (doGetReplied)="getReplies()"
          ></app-reply>
        </div>
      </div>
    </div>
  </div>
</div>
